Index: tmp/org.txm.searchengine.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.searchengine.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.searchengine.core/META-INF/MANIFEST.MF	(revision 881)
@@ -1,7 +1,5 @@
 Manifest-Version: 1.0
-Require-Bundle: org.eclipse.core.runtime;visibility:=reexport,org.txm.
- core;bundle-version="0.7.0";visibility:=reexport,org.txm.utils;visibi
- lity:=reexport
+Require-Bundle: org.txm.core;bundle-version="0.7.0";visibility:=reexport
 Export-Package: org.txm.searchengine.core
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 880)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 881)
@@ -52,6 +52,7 @@
 import org.eclipse.core.runtime.preferences.IPreferencesService;
 import org.osgi.framework.Bundle;
 import org.osgi.framework.Version;
+import org.txm.core.engines.Engine;
 import org.txm.core.engines.EngineType;
 import org.txm.core.engines.EnginesManager;
 import org.txm.core.messages.TXMCoreMessages;
@@ -153,7 +154,7 @@
 	}
 
 	
-	public static EnginesManager<?> getEngineManager(EngineType et) {
+	public static EnginesManager<? extends Engine> getEngineManager(EngineType et) {
 
 		if (enginesManagers == null) {
 			return null;
Index: tmp/org.txm.core/src/java/org/txm/core/engines/Engine.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/engines/Engine.java	(revision 880)
+++ tmp/org.txm.core/src/java/org/txm/core/engines/Engine.java	(revision 881)
@@ -16,7 +16,7 @@
 	 */
 	public String getName();
 	
-	public abstract boolean getState();
+	public abstract boolean isRunning();
 	
 	public abstract boolean initialize() throws Exception;
 	
Index: tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java	(revision 880)
+++ tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java	(revision 881)
@@ -8,67 +8,64 @@
 import org.txm.utils.logger.Log;
 
 /**
- * Extension point for an Engine (eg. Search engine, Stats engine, etc.). It is a service that may be used by TXM commands.
- * The Toolbox will manage the engines life-cycle. 
+ * Extension point for an Engine (eg. Search engine, Stats engine, etc.). It is
+ * a service that may be used by TXM commands. The Toolbox will manage the
+ * engines life-cycle.
  * 
  * @author mdecorde
  * @author sjacquot
  *
  */
 public abstract class EnginesManager<T extends Engine> {
-	
-	
+
 	public static final String ENGINES_MANAGER_EXTENSION_POINT_ID = EnginesManager.class.getName();
-	
+
 	/**
 	 * Managed engines map (name => engine).
 	 */
 	protected HashMap<String, T> engines = new HashMap<String, T>();
-	
-	
+
 	/**
 	 * Current engine.
 	 */
-	protected T currentEngine = null; 
-	
-	
-	
+	protected T currentEngine = null;
+
 	/**
 	 * Finds out the engines that matches this manager engines extension point.
 	 * 
 	 * @return
 	 */
 	public abstract boolean fetchEngines();
-	
-	
-	
+
 	/**
-	 * Creates and initializes the engines from contributions with the specified extension point id.
+	 * Creates and initializes the engines from contributions with the specified
+	 * extension point id.
 	 * 
 	 * @param engineExtensionPointId
 	 * @return true if at least one engine has been created otherwise false
 	 */
 	protected boolean fetchEngines(String engineExtensionPointId) {
 
-		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor(engineExtensionPointId);
+		IConfigurationElement[] contributions = RegistryFactory.getRegistry()
+				.getConfigurationElementsFor(engineExtensionPointId);
 
-		Log.finest("Looking for " + this.getEnginesDescription() + " engines contributions with extension point id " + engineExtensionPointId + "."); //$NON-NLS-1$
+		Log.finest("Looking for " + this.getEnginesDescription() + " engines contributions with extension point id " //$NON-NLS-1$
+				+ engineExtensionPointId + ".");
 		Log.finest(contributions.length + " engine(s) found."); //$NON-NLS-1$
-		
+
 		for (int i = 0; i < contributions.length; i++) {
 			try {
 				@SuppressWarnings("unchecked")
-				T e = (T)contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
-				
+				T e = (T) contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
+
 				Log.info("Initializing engine: " + e);
-				
+
 				if (e.initialize()) {
 					this.engines.put(e.getName(), e);
-				}
-				else {
+				} else {
 					Log.severe("Failed to initialize " + e.getName() + " engine.");
 				}
-			} catch(Exception e) {
+			} catch (Exception e) {
 				Log.severe("Error: failed to instantiate " + contributions[i].getName() + ".");
 				e.printStackTrace();
 			}
@@ -76,22 +73,23 @@
 
 		return this.engines.size() > 0;
 	}
-	
+
 	/**
 	 * Starts the engines.
+	 * 
 	 * @param monitor
 	 * @return
 	 */
 	public boolean startEngines(IProgressMonitor monitor) {
 		for (Engine engine : this.engines.values()) {
-			
+
 			String log = "Starting " + this.getEnginesDescription() + " engine: " + engine.getName() + "...";
 			Log.info(log);
-			
+
 			if (monitor != null) {
 				monitor.subTask(log);
 			}
-			
+
 			try {
 				engine.start(monitor);
 			} catch (Exception e) {
@@ -99,18 +97,35 @@
 				e.printStackTrace();
 			}
 		}
+
+		if (currentEngine == null && this.engines.size() > 0) {
+			currentEngine = this.engines.get(0);
+		}
 		return true;
 	}
 
 	/**
+	 * 
+	 * @return true if at least one engine is ready
+	 */
+	public boolean isCurrentEngineAvailable() {
+		if (currentEngine == null) {
+			return false;
+		}
+
+		return currentEngine.isRunning();
+	}
+
+	/**
 	 * Stops the engines.
+	 * 
 	 * @return
 	 */
 	public boolean stopEngines() {
 		for (Engine engine : this.engines.values()) {
-			
+
 			Log.finest("Stopping " + this.getEnginesDescription() + " engine: " + engine.getName() + "..."); //$NON-NLS-1$
-			
+
 			try {
 				engine.stop();
 			} catch (Exception e) {
@@ -121,7 +136,6 @@
 		return true;
 	}
 
-	
 	/**
 	 * Restarts the engines.
 	 * 
@@ -131,75 +145,81 @@
 		Log.finest("Restarting " + this.engines.size() + " " + this.getEnginesDescription() + " engine(s)."); //$NON-NLS-1$
 		return stopEngines() && startEngines(null);
 	}
-	
+
 	/**
 	 * Gets the engine type that this manager supports.
+	 * 
 	 * @return the engine type that this manager supports
 	 */
 	public abstract EngineType getEnginesType();
-	
-	
+
 	/**
 	 * Gets the engine description that this manager supports.
+	 * 
 	 * @return the engine description that this manager supports
 	 */
-	public String getEnginesDescription()	{
+	public String getEnginesDescription() {
 		return this.getEnginesType().getDescription();
 	}
-	
-	
+
 	/**
-	 * Gets the available engines. 
+	 * Gets the available engines.
+	 * 
 	 * @return the available engines
 	 */
 	public HashMap<String, T> getEngines() {
 		return engines;
 	}
-	
+
 	/**
 	 * Gets an engine specified by its name.
+	 * 
 	 * @param name
 	 * @return an engine specified by its name if exists, otherwise null
 	 */
 	public T getEngine(String name) {
 		return engines.get(name);
 	}
-	
+
 	/**
 	 * Returns the current engine.
+	 * 
 	 * @return
 	 */
 	public T getCurrentEngine() {
 		return this.currentEngine;
 	}
-	
-	
+
 	/**
 	 * Sets the current engine.
+	 * 
 	 * @param engine
 	 */
-	public void setCurrentEngine(T engine)	{
+	public void setCurrentEngine(T engine) {
 		Log.info("Setting current " + this.getEnginesDescription() + " engine to " + engine + ".");
 		this.currentEngine = engine;
 	}
-	
+
 	/**
 	 * Sets the current engine specified by its name.
+	 * 
 	 * @param name
 	 */
-	public void setCurrentEngine(String name)	{
+	public void setCurrentEngine(String name) {
 		this.setCurrentEngine(this.getEngine(name));
 	}
-	
+
 	/**
 	 * Gets an installed engine according to its class type.
+	 * 
 	 * @param classType
-	 * @return the installed engine according to its class type if it exists otherwise null
+	 * @return the installed engine according to its class type if it exists
+	 *         otherwise null
 	 */
-	public T getEngine(Class classType)	{
+	public T getEngine(Class classType) {
 		T engine = null;
 		for (T engine2 : this.engines.values()) {
-			if(engine2.getClass().equals(classType))	{
+			if (engine2.getClass().equals(classType)) {
 				engine = engine2;
 				break;
 			}
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 880)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 881)
@@ -145,6 +145,8 @@
 	 * Separator used when converting list from and to string.
 	 */
 	public static final String LIST_SEPARATOR =  "\t"; //$NON-NLS-1$
+
+	public static final String MATCHES = "matches";
 	
 	
 	
Index: tmp/org.txm.core/src/java/org/txm/importer/ValidateXml.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/ValidateXml.java	(revision 880)
+++ tmp/org.txm.core/src/java/org/txm/importer/ValidateXml.java	(revision 881)
@@ -51,24 +51,21 @@
 public class ValidateXml {
 
 	/**
-	 * @throws XMLStreamException 
-	 * test a String, not implemented.
+	 * @throws XMLStreamException test a String, not implemented.
 	 *
-	 * @param xmldata the xmldata
-	 * @return true, if successful
-	 * @throws  
+	 * @param xmldata the xmldata @return true, if successful @throws
 	 */
 	public static boolean testAndThrow(File infile) throws XMLStreamException {
 		if (infile.isDirectory()) {
-			System.out.println( TXMCoreMessages.ValidateXml_0+infile+TXMCoreMessages.ValidateXml_1);
+			System.out.println(TXMCoreMessages.ValidateXml_0 + infile + TXMCoreMessages.ValidateXml_1);
 			return false;
 		}
 		if (!infile.exists()) {
-			System.out.println( TXMCoreMessages.ValidateXml_0+infile+TXMCoreMessages.ValidateXml_2);
+			System.out.println(TXMCoreMessages.ValidateXml_0 + infile + TXMCoreMessages.ValidateXml_2);
 			return false;
 		}
 		if (!infile.canRead()) {
-			System.out.println(TXMCoreMessages.ValidateXml_0+infile+TXMCoreMessages.ValidateXml_3);
+			System.out.println(TXMCoreMessages.ValidateXml_0 + infile + TXMCoreMessages.ValidateXml_3);
 			return false;
 		}
 		try {
@@ -76,8 +73,7 @@
 			InputStream inputData = url.openStream();
 			XMLInputFactory factory = XMLInputFactory.newInstance();
 			XMLStreamReader parser = factory.createXMLStreamReader(inputData);
-			for (int event = parser.next(); event != XMLStreamConstants.END_DOCUMENT; event = parser
-					.next()) {
+			for (int event = parser.next(); event != XMLStreamConstants.END_DOCUMENT; event = parser.next()) {
 
 			}
 			parser.close();
@@ -93,20 +89,22 @@
 	/**
 	 * test a content stored in a String, not implemented.
 	 *
-	 * @param xmldata the xmldata
+	 * @param xmldata
+	 *            the xmldata
 	 * @return true, if successful
 	 */
-	public static boolean test(String xmldata){
+	public static boolean test(String xmldata) {
 		return testAndGetError(xmldata).length() == 0;
 	}
-	
+
 	/**
 	 * test a content stored in a String, not implemented.
 	 *
-	 * @param xmldata the xmldata
+	 * @param xmldata
+	 *            the xmldata
 	 * @return true, if successful
 	 */
-	public static String testAndGetError(String xmldata){
+	public static String testAndGetError(String xmldata) {
 		try {
 			Node records = new XmlParser().parseText(xmldata);
 			return "";
@@ -119,20 +117,21 @@
 	/**
 	 * test a file.
 	 *
-	 * @param infile the infile
+	 * @param infile
+	 *            the infile
 	 * @return false if the file is not valid
 	 */
 	public static boolean test(File infile) {
 		if (infile.isDirectory()) {
-			System.out.println( TXMCoreMessages.ValidateXml_0+infile+TXMCoreMessages.ValidateXml_1);
+			System.out.println(TXMCoreMessages.ValidateXml_0 + infile + TXMCoreMessages.ValidateXml_1);
 			return false;
 		}
 		if (!infile.exists()) {
-			System.out.println( TXMCoreMessages.ValidateXml_0+infile+TXMCoreMessages.ValidateXml_2);
+			System.out.println(TXMCoreMessages.ValidateXml_0 + infile + TXMCoreMessages.ValidateXml_2);
 			return false;
 		}
 		if (!infile.canRead()) {
-			System.out.println(TXMCoreMessages.ValidateXml_0+infile+TXMCoreMessages.ValidateXml_3);
+			System.out.println(TXMCoreMessages.ValidateXml_0 + infile + TXMCoreMessages.ValidateXml_3);
 			return false;
 		}
 		try {
@@ -140,8 +139,7 @@
 			InputStream inputData = url.openStream();
 			XMLInputFactory factory = XMLInputFactory.newInstance();
 			XMLStreamReader parser = factory.createXMLStreamReader(inputData);
-			for (int event = parser.next(); event != XMLStreamConstants.END_DOCUMENT; event = parser
-					.next()) {
+			for (int event = parser.next(); event != XMLStreamConstants.END_DOCUMENT; event = parser.next()) {
 
 			}
 			parser.close();
@@ -156,11 +154,11 @@
 	/**
 	 * The main method.
 	 *
-	 * @param args the arguments
+	 * @param args
+	 *            the arguments
 	 */
 	public static void main(String[] args) {
-		if (ValidateXml.test(new File(
-				"~/TXM/corpora/discours/txm/01_DeGaulle.xml"))) //$NON-NLS-1$
+		if (ValidateXml.test(new File("~/TXM/corpora/discours/txm/01_DeGaulle.xml"))) //$NON-NLS-1$
 			System.out.println("OK"); //$NON-NLS-1$
 		else
 			System.out.println("ERROR"); //$NON-NLS-1$
Index: tmp/org.txm.core/src/java/org/txm/importer/Factiva2XmlTxm.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/Factiva2XmlTxm.groovy	(revision 0)
+++ tmp/org.txm.core/src/java/org/txm/importer/Factiva2XmlTxm.groovy	(revision 881)
@@ -0,0 +1,261 @@
+/**
+ * Main.
+ *
+ * @param args the args
+ */
+// script de recherche de contenus entre balises dans un fichier xml
+
+/**
+ *  @author Daniel Marin, Florent Bédécarrats
+ *  @author Matthieu Decorde
+ *  @copyright 2011 Daniel Marin &  Florent Bédécarrats, for original Perl version
+ *  @copyright 2011 ENS de Lyon, for translation in Groovy
+ *  This software is licensed under the GNU GPL version 3.0 or later. 
+ */
+package org.txm.importer;
+
+public run(File rootDir, String rep_final ) {
+
+	// A RENSEIGNER #########################################
+	
+	def fich_xml = rootDir.listFiles().grep(~/.*\.xml/)
+	println "$rootDir : $fich_xml"
+
+	def ext = ".xml"
+	//def rep_final = rootDir.getAbsolutePath()+"/out" // le nom du répertoire dans lequel on va créer les fichiers txm
+
+	List<String> Balises = ["<baseLanguage>","<date>","<sourceName>","<name>","<name>"] // balises XML à détecter
+	List<String> FinBalises = ["</baseLanguage>","</date>","</sourceName>","</name>","</name>"]
+
+	List<String> Sections = ["<ppsarticle>","<industry ","<region ","<headline>","<tailParagraphs>"] // Balises indiquant qu'à 'intérieur de la section se trouvent les infos (sur plusieurs lignes contrairement à @Balises)
+	List<String> FinSections = ["</ppsarticle>","</industry>","</region>","</headline>","</tailParagraphs>"]
+
+	def Headline = [] // le tableau dans lequel on va stocker le contenu de <headline>
+	def TailPara = [] // le tableau dans lequel on va stocker le contenu de <tailParagraphs>
+
+	def NomsMeta = ["language=","date=","source=","subject=","country="] // les noms qui interviennent dans les méta-données du fichier final
+	// FIN A RENSEIGNER #####################################
+
+	def TestMeta = [0,0,0,0,0] // Tableau qui indique si les métadonnées sont disponibles dans le fichier
+	def MetaData = [] //le tableau des metadonnées
+	def metaData = "" // la chaine dans laquelle on va stocker les métadonnées
+	String temp = ""
+	def fich_out = ">"
+	def nom_in = ""
+
+	def new_fich=0 // variable booleenne qui indique si on doit créer un nouveau txm
+	def industry=0 // variable booleenne qui indique qu'on est dans la section <industry> pour renseigner "subject"
+	def premIndustry=0 // variable booleenne qui indique qu'on a passé le 1er <industry> pour renseigner "subject"
+	def region=0 // variable booleenne qui indique qu'on est dans la section <region> pour renseigner "country"
+	def premRegion=0 // variable booleenne qui indique qu'on a passé le 1er <region> pour renseigner "country"
+	def copie=0 // variable booleenne qui indique si l'on doit copier le contenu de la ligne dans le fichier txm
+	def copieSec3=0 // variable qui indique si on est à l'intérieur de la section 3
+	def copieSec4=0 // variable qui indique si on est à l'intérieur de la section 4
+
+	def num_fich=0 // le numéro du fichier traité
+	def char_num_fich="" // pour numéroter les fichiers fich_001 pour garder l'ordre alphabétique
+
+	def i = 1
+
+	println "Création du répertoire dans lequel on va mettre les fichiers finaux txm"
+	if (new File(rep_final).exists()) {
+		println "Le répertoire $rep_final existe"
+	}
+	else {
+		if (!new File(rep_final).mkdir()) {
+			println "Echec de la création du répertoire: $rep_final"
+			return
+		}
+		if (!new File(rep_final).canWrite()) {
+			println "Le répertoire '$rep_final' final est read-only"
+			return
+		}
+	}
+
+	FileWriter ECRITURE
+	for (File fich_in : fich_xml) {
+		if (fich_in.getName() == "import.xml") continue;
+		println "Validate $fich_in...";
+		if (!ValidateXml.test(fich_in)) {
+			println "skip $fich_in"
+			continue;
+		}
+		// open(LECTURE, fich_in) || die("erreur d'ouverture de $fich_in")
+		println "on parcourt l'ensemble de $fich_in"
+		def reader = new FileReader(fich_in)
+		String line = reader.readLine()
+		while (line != null)
+		{
+			// on stocke le contenu de la ligne (et on efface le retour chariot à la fin)
+			temp = line
+			temp = temp.trim()
+			temp = (temp =~ /^\s+/).replaceAll("")
+			temp = (temp =~ /^\t/).replaceAll("")
+			temp = temp.replaceAll("</paragraph>", "</paragraph><br/>")
+
+			// On indique si on est dans la 1ère section de industry ou region pour prélever <name>
+			if ((temp =~ Sections[1]) && (premIndustry==0)){
+				industry=1
+				premIndustry=1
+			}
+			else if (temp =~ FinSections[1]){
+				industry=0
+			}
+
+			if ((temp =~ Sections[2]) && (premRegion==0)){
+				region = 1
+				premRegion = 1
+			}
+			else if (temp =~ FinSections[2]){
+				region = 0
+			}
+
+			// on regarde si la balise de création de nouveau fichier est présente
+			if (temp =~ Sections[0]){
+				new_fich=1
+				num_fich = num_fich+1
+				nom_in = fich_in.getName()
+				nom_in = (nom_in =~ /$ext/).replaceAll("")
+				// Petit test pour numéroter les fichiers en 001, 002 plutôt que 1, 2 (ordre alphabétique)
+				if (num_fich < 10){
+					char_num_fich = "00"+num_fich
+				} else if (num_fich<100) {
+					char_num_fich = "0"+num_fich
+				} else {
+					char_num_fich = num_fich
+				}
+				fich_out = new File(rep_final, nom_in + "_" + char_num_fich + ext)
+				//open(ECRITURE,"> $fich_out") || die("erreur d'ouverture de $fich_out ! $! \n")
+				println("new file : "+fich_out)
+				if (ECRITURE != null) ECRITURE.close()
+				ECRITURE = new FileWriter(fich_out)
+			}
+
+			// Remplissage des métadonnées : ####################################################
+			// Language
+			if (temp =~ Balises[0]){
+				temp = (temp =~ Balises[0]).replaceAll("")
+				temp = (temp =~ FinBalises[0]).replaceAll("")
+
+				MetaData[0]=temp
+				print " language trouve : "+MetaData[0]+" \n"
+				TestMeta[0]=1
+
+			}
+			// date
+			if (temp =~ Balises[1]) {
+				temp = (temp =~ Balises[1]).replaceAll("")
+				temp = (temp =~ FinBalises[1]).replaceAll("")
+				MetaData[1]=temp
+				print " date trouvee : "+MetaData[1]+" \n"
+				TestMeta[1]=1
+			}
+			// source
+			if (temp =~ Balises[2]){
+				temp = (temp =~ Balises[2]).replaceAll("")
+				temp = (temp =~ FinBalises[2]).replaceAll("")
+				MetaData[2]=temp
+				print " source trouvee : "+MetaData[2]+" \n"
+				TestMeta[2]=1
+			}
+			// subject (on doit être dans la 1ère section <industry>)
+			if ((temp =~ Balises[3]) && (industry==1)){
+				temp = (temp =~ Balises[3]).replaceAll("")
+				temp = (temp =~ FinBalises[3]).replaceAll("")
+				MetaData[3]=temp
+				industry=0
+				print " Sujet trouve : "+MetaData[3]+" \n"
+				TestMeta[3]=1
+			}
+			// country
+			if ((temp =~ Balises[4]) && (region==1)){
+				temp = (temp =~ Balises[4]).replaceAll("")
+				temp = (temp =~ FinBalises[4]).replaceAll("")
+				MetaData[4]=temp
+				region=0
+				print " Pays trouve : "+MetaData[4]+" \n"
+				TestMeta[4]=1
+
+				// Toutes les méta-données ont été trouvées, on assemble la chaîne
+				metaData = "<article "
+				for (i=0;i<(NomsMeta.size()+1);i++){
+					if (TestMeta[i]==1){
+						metaData = metaData+NomsMeta[i]+"\""+MetaData[i]+"\" "
+					}
+					else if (TestMeta[i]==0){
+						metaData = metaData +NomsMeta[i]+"\"\" "
+					}
+				}
+				metaData = "$metaData>\n"
+				print " metaData : $metaData \n"
+			}
+			// FIN Remplissage des métadonnées : #################################################
+
+			// On copie ou pas si on est ou pas dans <headline> ou <tailParagraphs>
+			if (temp =~ Sections[3]){
+				copieSec3=1
+			}
+			if (temp =~ FinSections[3]){
+				Headline.add(temp)
+				copieSec3=0
+			}
+			if (temp =~ Sections[4]){
+				copieSec4=1
+			}
+			if (temp =~ FinSections[4]){
+				TailPara.add(temp)
+				copieSec4=0
+			}
+
+			if (copieSec3 == 1){
+				Headline.add(temp)
+			}
+			if (copieSec4 == 1){
+				TailPara.add(temp)
+			}
+
+			if (temp =~ FinSections[0]){
+				ECRITURE.write("$metaData\n")
+				for (i=0;i<(Headline.size());i++){
+					if (i==0 || i==Headline){
+						ECRITURE.write(Headline[i].toString()+"\n")
+					}
+					else{
+						ECRITURE.write("\t"+Headline[i]+"\n")
+					}
+				}
+				for (i=0;i<(TailPara.size());i++){
+					if (i==0 || i==TailPara){
+						ECRITURE.write(TailPara[i].toString()+"\n")
+					}
+					else{
+						ECRITURE.write("\t"+TailPara[i]+"\n")
+					}
+				}
+				ECRITURE.write("</article>")
+
+				new_fich=0
+				industry=0
+				region=0
+				premIndustry=0
+				premRegion=0
+				MetaData=[]
+				TestMeta=[0,0,0,0,0]
+				Headline=[]
+				TailPara=[]
+
+				ECRITURE.close()
+				print "fichier $char_num_fich traite.\n"
+			}
+			line = reader.readLine()
+		}
+		ECRITURE.close()
+		reader.close()
+		num_fich = 0
+	}
+}
+
+String userDir = System.getProperty("user.home");
+File rootDir = new File(userDir, "xml/factiva")
+File outdir = new File(rootDir, "out2")
+run(rootDir, outdir.getAbsolutePath());
\ No newline at end of file
Index: tmp/org.txm.core/src/java/org/txm/importer/ApplyXsl.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/ApplyXsl.groovy	(revision 0)
+++ tmp/org.txm.core/src/java/org/txm/importer/ApplyXsl.groovy	(revision 881)
@@ -0,0 +1,243 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+
+//
+// This file is part of the TXM platform.
+//
+// The TXM platform is free software: you can redistribute it and/or modif y
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// The TXM platform is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with the TXM platform.  If not, see <http://www.gnu.org/licenses/>.
+// 
+// 
+// 
+// $LastChangedDate: 2016-03-01 10:10:58 +0100 (mar. 01 mars 2016) $
+// $LastChangedRevision: 3133 $
+// $LastChangedBy: mdecorde $ 
+//
+package org.txm.importer;
+
+/**
+ * @author mdecorde
+ */
+
+import java.io.File;
+import javax.xml.transform.Transformer
+import javax.xml.transform.TransformerFactory
+import javax.xml.transform.stream.StreamResult
+import javax.xml.transform.stream.StreamSource;
+
+import net.sf.saxon.*;
+import net.sf.saxon.s9api.*;
+
+// TODO: Auto-generated Javadoc
+/**
+ * apply a xsl file to a file : use process(File infile, File outfile, String[]
+ * args) to apply the xslt file loaded by the constructor args =
+ * ["name1","value1","name2",value2, ...]
+ * 
+ * @author mdecorde
+ */
+
+public class ApplyXsl {
+	
+//	/** The proc. */
+//	private Processor proc;
+//	
+//	/** The comp. */
+//	private XsltCompiler comp;
+//	
+//	/** The exp. */
+//	private XsltExecutable exp;
+//
+//	/** The source. */
+//	private XdmNode source;
+//	
+//	/** The out. */
+//	private Serializer out;
+//	
+//	/** The trans. */
+//	private XsltTransformer trans;
+
+	TransformerFactory tFactory;
+	Transformer transformer;
+	
+	/**
+	 * initialize with the xslt file.
+	 *
+	 * @param xsltfile the xsltfile
+	 */
+	public ApplyXsl(String xsltfile) {
+//		proc = new Processor(false);
+//		comp = proc.newXsltCompiler();
+//		exp = comp.compile(new StreamSource(new File(xsltfile)));
+		tFactory = new net.sf.saxon.TransformerFactoryImpl();
+		transformer = tFactory.newTransformer(new StreamSource(xsltfile));
+
+	}
+	
+	/**
+	 * initialize with the xslt file.
+	 *
+	 * @param xsltfile the xsltfile
+	 */
+	public ApplyXsl(File xsltfile) {
+//		proc = new Processor(false);
+//		comp = proc.newXsltCompiler();
+//		exp = comp.compile(new StreamSource(xsltfile));
+		tFactory = new net.sf.saxon.TransformerFactoryImpl();
+		transformer = tFactory.newTransformer(new StreamSource(xsltfile));
+	}
+
+	/**
+	 * Set in and out file.
+	 *
+	 * @param xmlinfile the xmlinfile
+	 * @param xmloutfile the xmloutfile
+	 * @return true, if successful
+	 */
+	private boolean SetInOutSource(String xmlinfile, String xmloutfile) {
+//		if (proc == null || exp == null || comp == null)
+//			return false;
+//
+//		source = proc.newDocumentBuilder().build(
+//				new StreamSource(new File(xmlinfile)));
+//		out = new Serializer();
+//		out.setOutputFile(new File(xmloutfile));
+//
+//		trans = exp.load();
+//		transformer.set.setInitialContextNode(source);
+//		transformer.setDestination(out);
+		return true;
+	}
+
+	/**
+	 * Set a xslt param.
+	 *
+	 * @param name the name
+	 * @param value the value
+	 * @return true, if successful
+	 */
+	public boolean SetParam(String name, Object value) {
+//		if (trans != null)
+//			trans.setParameter(new QName(name), new XdmAtomicValue("" + value));
+//		else
+//			return false;
+		return true;
+	}
+
+	/**
+	 * Force java to clean memory after processing a xslt. If not we might catch
+	 * a JavaHeapspace Exception
+	 * 
+	 */
+	private void cleanMemory() {
+//		source = null;
+//		trans = null;
+//		out = null;
+	}
+
+	/**
+	 * Process files with xslt args.
+	 *
+	 * @param xmlinfile file to be processed
+	 * @param xmloutfile output file
+	 * @param args xslt args ["arg1","arg1value","arg2","arg2value"...]
+	 * @return true, if successful
+	 */
+
+	public boolean process(String xmlinfile, String xmloutfile, String[] args) {
+		if (!this.SetInOutSource(xmlinfile, xmloutfile))
+			return false;
+		for (int i = 0; i < args.length; i = i + 2)// set params
+		{
+			if (!this.SetParam(args[i], args[i + 1]))
+				return false;
+		}
+
+		transformer.transform(new StreamSource(xmlinfile), new StreamResult(new BufferedOutputStream(new FileOutputStream(xmloutfile))));
+		cleanMemory(); // save memory
+		// System.out.println("Done");
+		return true;
+	}
+
+	/**
+	 * Process files without xslt args.
+	 *
+	 * @param xmlinfile the xmlinfile
+	 * @param xmloutfile the xmloutfile
+	 * @return true, if successful
+	 */
+	public boolean process(String xmlinfile, String xmloutfile) {
+		if (!this.SetInOutSource(xmlinfile, xmloutfile))
+			return false;
+
+		transformer.transform(new StreamSource(xmlinfile), new StreamResult(new BufferedOutputStream(new FileOutputStream(xmloutfile))));
+		cleanMemory();
+		// System.out.println("Done");
+		return true;
+	}
+
+	/**
+	 * The main method.
+	 *
+	 * @param args the arguments
+	 */
+	public static void main(String[] args)
+	{
+		String xslfile = "pathtoxslfile";
+		ApplyXsl a = new ApplyXsl(xslfile);
+		
+		File srcdirectory = new File("pathtodirectorytoprocess")
+		assert(srcdirectory.exists())
+		assert(srcdirectory.isDirectory())
+		assert(srcdirectory.canRead())
+		assert(srcdirectory.canExecute())
+		
+		List<File> files = srcdirectory.listFiles();
+		
+		files = files.findAll{item-> item.getName().endsWith(".xml")}
+		
+		long bigstart = System.currentTimeMillis()
+		for(File infile : files)
+		{
+			String outfile = infile.getAbsolutePath()+".out"
+			if(infile.canRead())
+			{
+				long start = System.currentTimeMillis()
+				println "Process : "+infile.getName()
+				// String[] params = ["pbval1",1,"pbval2",2];
+				// a.process(infile.getAbsolutePath(),outfile); // no parameters
+				// a.process( infile.getAbsolutePath(),outfile,params);
+				println "Done : "+(System.currentTimeMillis()-start)+"ms"
+			}
+		}
+		println "Total time : "+(System.currentTimeMillis()-bigstart)+"ms"
+	}
+}
